メインコンテンツへスキップ
GET
/
cms
/
v3
/
url-redirects
/
{urlRedirectId}
リダイレクトの詳細を取得
curl --request GET \
  --url https://api.hubapi.com/cms/v3/url-redirects/{urlRedirectId} \
  --header 'Authorization: Bearer <token>'
{
  "createdAt": "2017-07-24T17:24:09.141Z",
  "destination": "http://www.example.online/{page_slug}",
  "id": "3212223134",
  "isMatchFullUrl": true,
  "isMatchQueryString": false,
  "isOnlyAfterNotFound": true,
  "isPattern": false,
  "isProtocolAgnostic": true,
  "isTrailingSlashOptional": true,
  "routePrefix": "http://test.hs-sites.com/(?P<page_slug>.*)",
  "updatedAt": "2017-07-24T17:24:09.141Z"
}

サポートされる製品

次のいずれかの製品またはそれ以上が必要です。
Marketing HubMarketing Hub -Professional
Sales HubSales Hub -無料ツール
Service HubService Hub -無料ツール
Content HubContent Hub -Starter

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

urlRedirectId
string
必須

ターゲットリダイレクトのID。

レスポンス

successful operation

destination
string
必須

ターゲットURLが「routePrefix」に一致する場合にリダイレクトされる転送先URL。

id
string
必須

このURLリダイレクトの固有ID。

isMatchFullUrl
boolean
必須

「routePrefix」がドメインを含めてURL全体で一致する必要があるかどうか。

isMatchQueryString
boolean
必須

「routePrefix」がクエリー文字列を含めてURLパス全体で一致する必要があるかどうか。

isOnlyAfterNotFound
boolean
必須

URLの公開中のページが見つからない場合のみURLリダイレクトマッピングを適用する必要があるかどうか。Falseの場合、URLリダイレクトマッピングは既存のどのページよりも優先されます。

isPattern
boolean
必須

パターンに基づいて「routePrefix」が一致する必要があるかどうか。

isProtocolAgnostic
boolean
必須

「routePrefix」がHTTPプロトコルとHTTPSプロトコルの両方に一致する必要があるかどうか。

isTrailingSlashOptional
boolean
必須

トレイリングスラッシュが無視されるかどうか。

precedence
integer<int32>
必須

URLリダイレクトに優先順位を付けるために使用されます。特定のURLが複数のリダイレクトに一致する場合、優先順位の「低い」URLが使用されます。

redirectStyle
integer<int32>
必須

作成するリダイレクトのタイプ。オプションには以下が含まれます:301(永久)、302(一時的)、305(プロキシー)。詳細については、[こちら](https://knowledge.hubspot.com/cos-general/how-to-redirect-a-hubspot-page)を参照してください。

routePrefix
string
必須

リダイレクトを行うために照合するターゲット受信URL、パス、またはパターン。

created
string<date-time>

URLマッピングが最初に作成された日時。

updated
string<date-time>

URLマッピングが最後に変更された日時。

Last modified on March 30, 2026